# DialogQueryResult (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.menu

## Class DialogQueryResult

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.menu.DialogQueryResult

-     public class DialogQueryResult
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `query` TODO
    `DataSelector` | `selector` TODO

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DialogQueryResult(java.lang.String query, DataSelector selector)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### selector

          public final DataSelector selector

      TODO

    - #### query

          public final java.lang.String query

      TODO

  - ### Constructor Detail

    - #### DialogQueryResult

          protected DialogQueryResult(java.lang.String query,
                           DataSelector selector)

      Parameters:
        `query` -
        `selector` -